@import url('https://fonts.googleapis.com/css2?family=Hammersmith+One&display=swap');

body {
    margin: 0;
    font-family: 'Hammersmith One', sans-serif;
    min-height: 100vh;
}

body * {
    box-sizing: border-box;
    margin: 0;
    padding: 0;

}

.main-login {
    width: 100vw;
    height: 100vh;
    background-color: #1b1E23;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}



.left-login {
    width: 50vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

}

.left-login h1 {
    color: #4765ff;
    font-size: 50px;
    letter-spacing: 3px;
    font-family: 'Hammersmith One', sans-serif;
}

.left-login-image {
    width: 35vw;
}

.right-login {
    width: 50vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.card-login {
    width: 60%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 30px 35px;
    background: #272c33;
    border-radius: 10px;
    box-shadow: 0px 10px 40px #00000056;
    overflow: hidden;
}

.Criar {
    color: #4765ff;
    font-family: 'Hammersmith One', sans-serif;
}


.card-login::before {
    content: '';
    position: absolute;
    top: -50%;
    left: -50%;
    width: 60%;
    background: linear-gradient(0deg, transparent, #4765ff);
    transform-origin: bottom right;
    animation: animate 6s linear infinite;

}

@keyframes animate {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }

}

.card-login h2 {
    color: #4765ff;
    font-weight: 800;
    font-size: 35px;
    margin: 0;
}

.textfield {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    margin: 10px 0px;
}

.textfield input {
    width: 100%;
    border: none;
    border-radius: 10px;
    padding: 15px;
    background: #514869;
    color: #f0ffffde;
    font-size: 12pt;
    box-shadow: 0px 10px 40px #00000056;
    outline: none;
    box-sizing: border-box;
}

.textfield label {
    color: #f0ffffde;
    margin-bottom: 10px;
}

.textfield input::placeholder {
    color: #f0ffff94;
}

.btn-login {
    width: 100%;
    padding: 16px 0px;
    margin: 25px;
    border: none;
    border-radius: 8px;
    outline: none;
    text-transform: uppercase;
    font-weight: 800;
    letter-spacing: 3px;
    color: #ffffff;
    background: #4765ff;
    cursor: pointer;
    box-shadow: 0px 10px 40px -12px #3787ff52;
}

.lnr-eye {
    position: absolute;
    top: 5px;
    right: 10px;
    cursor: pointer;
}

@media only screen and (max-width:950px) {
    .card-login {
        width: 85%
    }

}

@media only screen and (max-width:600px) {
    .main-login {
        flex-direction: column;
    }

    .left-login h1 {
        display: none;
    }

    .left-login {
        width: 100%;
        height: auto;
    }

    .right-login {
        width: 100%;
        height: auto;
    }

    .left-login-image {
        width: 50vw;
    }

    .card-login {
        width: 90%;
    }
}

a:active {
    color: ghostwhite;
}

.a:link {

    color: aliceblue;
    text-decoration: none;
}

.a:hover {
    color: aliceblue;
}

.a:visited {
    color: rgb(255, 255, 255);
    text-decoration: none;
}

.logo {
    width: 180px;
    height: 150px;

}

.rodape {
    background-color: #1b1E23;
}

.rodape>small {
    color: azure;

}

h1::after {
    content: '|';
    margin-left: 5px;
    opacity: 1;
    animation: pisca .7s infinite;
}

@keyframes pisca {

    0%,
    100% {
        opacity: 1;
    }

    50% {
        opacity: 0;
    }
}

.Login-recused {
    font-family: 'Hammersmith One', sans-serif;
}


div#preloader {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ffffff;
    z-index: 99999;
}

.loader .title {
    color: #525866;
    font-size: 14px;
    letter-spacing: 2px;
    font-weight: lighter;
    text-align: center;
}

.loader {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: -50px;
    margin-left: -50px;
}

/*Loading Animação*/
:root {
    --cor-azul: #00cfd5;
    --cor-preto: #4c4c4c;
}

.loading-animacao {
    transform: rotateZ(45deg);
    perspective: 1000px;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    color: var(--cor-preto);
    margin-left: 20px;
    margin-bottom: 10px;

}

.loading-animacao:before,
.loading-animacao:after {

    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: inherit;
    height: inherit;
    border-radius: 50%;
    transform: rotateX(70deg);
    animation: 1s spin linear infinite;

}

.loading-animacao:after {
    color: var(--cor-azul);
    transform: rotateY(70deg);
    animation-delay: .4s;
}

@keyframes rotate {
    0% {
        transform: translate(-50%, -50%) rotateZ(0deg);
    }

    100% {
        transform: translate(-50%, -50%) rotateZ(360deg);
    }
}

@keyframes rotateccw {
    0% {
        transform: translate(-50%, -50%) rotate(0deg);
    }

    100% {
        transform: translate(-50%, -50%) rotate(-360deg);
    }
}

@keyframes spin {

    0%,
    100% {
        box-shadow: .2em 0px 0 0px currentcolor;
    }

    12% {
        box-shadow: .2em .2em 0 0 currentcolor;
    }

    25% {
        box-shadow: 0 .2em 0 0px currentcolor;
    }

    37% {
        box-shadow: -.2em .2em 0 0 currentcolor;
    }

    50% {
        box-shadow: -.2em 0 0 0 currentcolor;
    }

    62% {
        box-shadow: -.2em -.2em 0 0 currentcolor;
    }

    75% {
        box-shadow: 0px -.2em 0 0 currentcolor;
    }

    87% {
        box-shadow: .2em -.2em 0 0 currentcolor;
    }
}